"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
function _autoprefixer() {
  const data = _interopRequireDefault(require("autoprefixer"));
  _autoprefixer = function _autoprefixer() {
    return data;
  };
  return data;
}
var _postcssPluginAntPrefix = _interopRequireDefault(require("./postcss-plugin-ant-prefix"));
var _postcssPluginLess2var = _interopRequireDefault(require("./postcss-plugin-less2var"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
// eslint-disable-next-line @typescript-eslint/no-require-imports
const toRem = require('postcss-pxtorem');
var _default = ({
  remEnable = false,
  remConfig = {},
  prefixConfig,
  less2CssVarConfig,
  autoPrefixerOptions
}) => ({
  sourceMap: true,
  postcssOptions: {
    plugins: [(0, _autoprefixer().default)(_objectSpread({}, autoPrefixerOptions)), remEnable ? toRem(remConfig) : null, prefixConfig.enabled ? (0, _postcssPluginAntPrefix.default)({
      prefix: _objectSpread({}, prefixConfig.prefix),
      excludes: prefixConfig.excludes,
      includes: prefixConfig.includes,
      test: prefixConfig.test
    }) : null, less2CssVarConfig.enabled ? (0, _postcssPluginLess2var.default)({
      excludes: less2CssVarConfig.excludes,
      includes: less2CssVarConfig.includes,
      test: less2CssVarConfig.test,
      ignore: less2CssVarConfig.ignore
    }) : null].filter(Boolean)
  }
});
exports.default = _default;